Run updateArticleCount.php on Wikimedia Commons
Closed, ResolvedPublic

Description

I need to run updateArticleCount.php to update the count in Special:Statistics and {{NUMBEROFARTICLES}} for commons
Context: The value of https://www.mediawiki.org/wiki/Manual:$wgContentNamespaces was changed in T167077 and the value is currently wrong....

How can we make this happen?

Village pump discussion: https://commons.wikimedia.org/wiki/Commons:Village_pump#Should_content_pages_consist_of_galleries_only_or_also_include_File_pages.3F

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2017, 10:45 PM
Reedy added a subscriber: Reedy.Jul 5 2017, 10:45 PM

Just run it in a screen on terbium and wait? :)

@Reedy I don't have the ability to do that.. so I guess I need somebody to help me! :)

Jdlrobson updated the task description. (Show Details)Jul 5 2017, 10:46 PM

Mentioned in SAL (#wikimedia-operations) [2017-07-05T22:47:20Z] <Reedy> running mwscript updateArticleCount.php --wiki=commonswiki --update on screen on terbium T169822

Reedy closed this task as Resolved.Jul 5 2017, 10:53 PM
Reedy claimed this task.
reedy@terbium:~$ mwscript updateArticleCount.php --wiki=commonswiki --update
Counting articles...found 40586492.
Updating site statistics table... done.
Dcljr added a subscriber: Dcljr.Jul 6 2017, 12:48 AM

Wow, that was fast. I thought it would take hours…

demon added a comment.Jul 6 2017, 1:23 AM

Weird, it was taking way longer for me earlier... Glad we got it done :)